<?php
/**
 * 
 */
function copyprevention_settings_form() {
  $form = array();

  $form['copyprevention_body'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Body tag attributes'),
    '#options' => array(
      'selectstart' => t('Disable text selection: onselectstart="return false;"'),
      'copy' => t('Disable copy to clipboard: oncopy="return false;"'),
      'contextmenu' => t('Disable right-click context menu: oncontextmenu="return false;"'),
    ),
    '#default_value' => variable_get('copyprevention_body', array()),
    '#description' => t('Apply these attributes to body tag.'),
  );
  $form['copyprevention_images'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Images protection'),
    '#options' => array(
      'contextmenu' => t('Disable right-click context menu on images: oncontextmenu="return false;"'),
      'transparentgif' => t('Place transparent gif image above all images'),
    ),
    '#default_value' => variable_get('copyprevention_images', array()),
    '#description' => t('Apply these methods to images.'),
  );
  $form['copyprevention_images_search'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Protect/hide images from search engines'),
    '#options' => array(
      'httpheader' => t('Set "X-Robots-Tag: noimageindex" HTTP header'),
      'pagehead' => t('Add "noimageindex" robots meta tag to page head'),
      'robotstxt' => t('Disallow images (jpg, png, gif) indexing in robots.txt - requires <a href="!link" target="_blank">RobotsTxt</a> module', array('!link' => 'http://drupal.org/project/robotstxt')),
    ),
    '#default_value' => variable_get('copyprevention_images_search', array()),
    '#description' => t('Select options to hide your images from showing up on image searches.'),
  );

  return system_settings_form($form);
}
